Package org.eclipse.gef.dot.internal.ui.handlers

# Class SyncGraphvizExportHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.gef.dot.internal.ui.handlers.SyncGraphvizExportHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

public class SyncGraphvizExportHandler extends AbstractHandler

## Constructor Summary

Constructors
Constructor
Description
`SyncGraphvizExportHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ExecutionEvent executionEvent)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SyncGraphvizExportHandler

public SyncGraphvizExportHandler()

## Method Details

### execute

public Object execute(ExecutionEvent executionEvent) throws ExecutionException

Throws:
  `ExecutionException`